Заметки о выпуске App-V 5.1

Обновлено: Август 2015 г.

Назначение: Application Virtualization 5.1

Ниже перечислены известные проблемы в Microsoft Application Virtualization (App-V) 5.1.

Ошибка во время обновления публикаций между сервером управления App-V 5.0 с пакетом обновления 3 (SP3) и клиентом App-V 5.1 на Windows 10.

Выдается ошибка при обновлении публикаций при синхронизации пакетов между сервером управления App-V 5.0 с пакетом обновления 3 (SP3) и клиентом App-V 5.1 на Windows 10. Эта ошибка возникает, поскольку сервер App-V 5.0 с пакетом обновления 3 (SP3) не поддерживает ОС Windows 10, указанную в URL-адресе публикации. Для сервера публикации App-V 5.1 проблема устранена, но к App-V 5.0 с пакетом обновления 3 (SP3) и более ранним версиям исправление не применяется.

Возможное решение: Обновление сервера управления App-V 5.0 на сервер управления App-V 5.1 для клиентов Windows 10.

Пользовательские конфигурации не применяются к пакетам, которые будут публиковаться глобально, если эти пакеты были заданы с помощью App-V Server 5.1.

Если пакет назначить группе AD, которая содержит учетные записи компьютера, и применить к этой группе пользовательскую конфигурацию с помощью сервера App-V, пользовательская конфигурация к этим компьютерам применяться не будет. Клиент App-V 5.1 опубликует пакеты, назначенные учетной записи компьютера глобально. В то же время он сохраняет файлы пользовательской конфигурации для каждого пользователя в профиле каждого пользователя. Глобально опубликованные пакеты не будут иметь доступ к этой пользовательской конфигурации.

Возможное решение: Выполните одно из следующих действий.

  • Назначьте пакет группам, содержащим только учетные записи пользователей. Это позволит гарантировать, что пользовательская конфигурация пакета будет храниться в профиле каждого пользователя и применяться правильно.

  • Создайте файл пользовательской конфигурации развертывания и примените его к пакету в клиенте с помощью командлета Add-AppvClientPackage с параметром –DynamicDeploymentConfiguration. Дополнительные сведения см. в разделе О динамической конфигурации App-V 5.1.

  • Создайте новый пакет с пользовательской конфигурацией, используя Sequencer App-V 5.1.

После установки сервера App-V 5.1 его файлы не удаляются.

Если сначала удалить сервер App-V 5.0 с пакетом обновления 1 (SP1), а затем установить сервер App-V 5.1, установка завершится сбоем, будет установлена неверная версия сервера управления и появится сообщение об ошибке. Эта проблема возникает из-за того, что при удалении App-V 5.0 с пакетом обновления 1 (SP1) файлы сервера не удаляются, так что вместо установки новой версии выполняется обновление.

Возможное решение: Прежде чем начать установку App-V 5.1, удалите этот раздел реестра:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall.

Сопоставления типов файлов, добавленные вручную, сохраняются неправильно.

Сопоставления типов файлов, добавленные в пакет приложений вручную с помощью вкладок «Ярлыки» и «Сопоставления типов файлов» в конце работы мастера обновления приложения, сохраняются неправильно. Они не будут доступны клиенту App-V или Sequencer при повторном обновлении сохраненного пакета.

Возможное решение: Чтобы добавить сопоставление типов файлов, откройте пакет для изменения и запустите мастер обновления. На этапе установки добавьте новое сопоставление типов файлов с помощью операционной системы. Sequencer обнаружит новое сопоставление в системном реестре и добавит его в виртуальный реестр пакета, где оно будет доступно клиенту.

При потоковой передаче пакетов в режиме хранилища общего содержимого (SCS) в клиент, который также управляется с помощью AppLocker, на локальный диск записываются дополнительные данные.

Чтобы уменьшить объем данных, записываемых на локальный диск клиента, можно включить режим SCS в клиенте App-V 5.1 для потоковой передачи содержимого пакета по требованию. Тем не менее, если AppLocker управляет приложением в рамках пакета, на локальный диск клиента могут записываться некоторые данные, которые не записывались бы в ином случае.

Возможное решение: Нет

В диалоговом окне «Добавить пакет» консоли управления кнопка «Обзор» недоступна при использовании Chrome или Firefox.

Если на странице «Пакеты» консоли управления щелкнуть значок Добавить или обновить в правом нижнем углу, откроется диалоговое окно Добавить пакет. Если в качестве браузера для работы с консолью управления используется Chrome или Firefox, вы не сможете перейти к расположению пакета.

Возможное решение: Введите или скопируйте и вставьте путь к пакету в поле ввода Добавить пакет. Если консоль управления имеет доступ к этому пути, вы сможете добавить пакет. Если пакет находится на общем сетевом ресурсе, вы сможете перейти к соответствующей папке в проводнике, выполнив описанные ниже действия.

  1. Удерживая нажатой клавишу SHIFT, щелкните файл пакета правой кнопкой мыши.

  2. Выберите команду Копировать как путь.

  3. Вставьте путь в поле ввода диалогового окна Добавить пакет.

Обновление сервера управления App-V до версии 5.1 иногда завершается ошибкой с сообщением «Произошла ошибка базы данных».

При попытке обновления установленного сервера управления App-V 5.0 с пакетом обновления 1 (SP1) до сервера App-V 5.1 при наличии нескольких настроенных и активированных связывающих групп отображается следующая ошибка: «Произошла ошибка базы данных». Причина: «Недопустимое имя столбца PackageOptional. Недопустимое имя столбца VersionOptional».

Возможное решение: Выполните в базе данных SQL следующую команду:

ALTER TABLE AppVManagement.dbo.PackageGroupMembers ADD PackageOptional bit NOT NULL DEFAULT 0, VersionOptional bit NOT NULL DEFAULT 0

где AppVManagement — это имя базы данных.

Если добавить или удалить дополнительный пакет, пользователи не смогут открыть пакет в связывающей группе, опубликованной пользователем.

В средах, которые работают под управлением клиента служб удаленных рабочих столов или имеют несколько одновременных пользователей на одном компьютере, вошедшие в систему пользователи не могут открывать приложения в пакетах, которые входят в опубликованную пользователем связывающую группу, если в эту группу добавляется еще один пакет или из нее удаляется какой-либо пакет.

Возможное решение: Пользователи должны выйти из системы, а затем войти в нее снова.

Если связывающая группа публикуется только для пользователя, появляется ошибочное сообщение об ошибке.

При выполнении командлета Repair-AppvClientConnectionGroup отображается следующая ошибка, даже если связывающая группа публикуется только для пользователя: «Ошибка внутренней интеграции App-V: пакет не интегрирован для пользователя. Убедитесь, что пакет добавлен на компьютер и опубликован для пользователя».

Возможное решение: Выполните одно из следующих действий.

  • Опубликуйте все пакеты в связывающей группе.

    Проблема возникает, когда восстановленная связывающая группа содержит пакеты, которые отсутствуют или недоступны для пользователя (т. е. не опубликованы глобально или для пользователя). Тем не менее восстановление будет работать, если доступны все пакеты в связывающей группе, поэтому убедитесь, что все пакеты опубликованы.

  • Вместо команды Repair-AppvClientConnectionGroup используйте для восстановления отдельных пакетов команду Repair-AppvClientPackage.

    Определите, какие пакеты будут доступны пользователям, и выполните команду Repair-AppvClientPackage по одному разу для каждого пакета. Используйте командлеты PowerShell для выполнения следующих действий.

    1. Получите все пакеты в связывающей группе.

    2. Убедитесь в том, что каждый пакет уже опубликован.

    3. Если пакет публикуется в текущий момент, примените к этому пакету команду Repair-AppvClientPackage.

Значки не отображаются в Sequencer правильно.

При изменении пакета в Sequencer App-V значки на вкладке ярлыков и сопоставлений типов файлов отображаются неправильно. Эта проблема возникает, когда размер значков отличается от параметров 16 x 16 или 32 x 32.

Возможное решение: Используйте только значки размером 16 x 16 или 32 x 32.

Сценарий InsertVersionInfo.sql для базы данных управления больше не требуется.

Для версий базы данных управления App-V старше App-V 5.0 с пакетом обновления 3 (SP3) скрипт InsertVersionInfo.sql не является обязательным.

Скрипт Permissions.sql необходимо обновить в соответствии с шагом 2 в статье базы знаний 3031340.

ImportantВажно
Шаг 1 не является обязательным для версии App-V новее версии 5.0 с пакетом обновления 3 (SP3).

Microsoft Visual Studio 2012 не поддерживается.

App-V 5.1 не поддерживает Visual Studio 2012.

Возможное решение: Нет

Есть предложение для App-V?

Выдвигайте предложения и голосуйте за них здесь. Ответы на вопросы, возникающие при работе с App-V, можно найти на форуме TechNet по App-V.

См. также

-----
Дополнительные сведения о MDOP можно найти в библиотеке TechNet, статьях по устранению неполадок на вики-сайте TechNet или подписавшись на новости в Facebook или Twitter.
-----
Показ: